import gtk
import pygame

class ImageHandler(object):
    def __init__(self):
        pass
        
    def initImage (self, instrument, type, width):
        
        #GUITAR IMAGES

        
        
        self.guitarImageNormal = gtk.Image()
        pixbuf = gtk.gdk.pixbuf_new_from_file("normal/Guitar.png")
        
        
        self.guitarImageNormal.set_from_pixbuf()
        
        #self.guitarImageNormal.set_from_file("normal/Guitar.png")
        #self.guitarImageNormal.set_pixel_size(100)
        self.guitarImageGlowed = gtk.Image()
        self.guitarImageGlowed.set_from_file("glowed/Guitar.png")
        self.guitarImageGreen = gtk.Image()
        self.guitarImageGreen.set_from_file("green/Guitar.png")
        self.guitarImageRed = gtk.Image()
        self.guitarImageRed.set_from_file("red/Guitar.png")
        self.guitarImageDisabled = gtk.Image()
        self.guitarImageDisabled.set_from_file("disabled/Guitar.png")


        #DRUM IMAGES
        
        self.drumImageNormal = gtk.Image()
        self.drumImageNormal.set_from_file("normal/Drum.png")
        self.drumImageGlowed = gtk.Image()
        self.drumImageGlowed.set_from_file("glowed/Drum.png")
        self.drumImageGreen = gtk.Image()
        self.drumImageGreen.set_from_file("green/Drum.png")
        self.drumImageRed = gtk.Image()
        self.drumImageRed.set_from_file("red/Drum.png")
        self.drumImageDisabled = gtk.Image()
        self.drumImageDisabled.set_from_file("disabled/Drum.png")

      #PIANO IMAGES
        
        self.pianoImageNormal = gtk.Image()
        self.pianoImageNormal.set_from_file("normal/Piano.png")
        self.pianoImageGlowed = gtk.Image()
        self.pianoImageGlowed.set_from_file("glowed/Piano.png")
        self.pianoImageGreen = gtk.Image()
        self.pianoImageGreen.set_from_file("green/Piano.png")
        self.pianoImageRed = gtk.Image()
        self.pianoImageRed.set_from_file("red/Piano.png")
        self.pianoImageDisabled = gtk.Image()
        self.pianoImageDisabled.set_from_file("disabled/Piano.png")

      #VIOLIN IMAGES
        
        self.violinImageNormal = gtk.Image()
        self.violinImageNormal.set_from_file("normal/Violin.png")
        self.violinImageGlowed = gtk.Image()
        self.violinImageGlowed.set_from_file("glowed/Violin.png")
        self.violinImageGreen = gtk.Image()
        self.violinImageGreen.set_from_file("green/Violin.png")
        self.violinImageRed = gtk.Image()
        self.violinImageRed.set_from_file("red/Violin.png")
        self.violinImageDisabled = gtk.Image()
        self.violinImageDisabled.set_from_file("disabled/Violin.png")

      #TRUMPET IMAGES
        
        self.trumpetImageNormal = gtk.Image()
        self.trumpetImageNormal.set_from_file("normal/Trumpet.png")
        self.trumpetImageGlowed = gtk.Image()
        self.trumpetImageGlowed.set_from_file("glowed/Trumpet.png")
        self.trumpetImageGreen = gtk.Image()
        self.trumpetImageGreen.set_from_file("green/Trumpet.png")
        self.trumpetImageRed = gtk.Image()
        self.trumpetImageRed.set_from_file("red/Trumpet.png")
        self.trumpetImageDisabled = gtk.Image()
        self.trumpetImageDisabled.set_from_file("disabled/Trumpet.png")


    def getImage(self, instrument, type, width):
        
        #GUITAR IMAGES
        if instrument == "guitar":
            if type ==  "normal":
                return self.guitarImageNormal
            elif type == "glowed":
                return self.guitarImageGlowed
        elif type == "green":
                return self.guitarImageGreen
        elif type == "red":
                return self.guitarImageRed
        elif type == "disabled":
                return self.guitarImageDisabled
            
        
        
        #DRUM IMAGES
        elif instrument == "drum":
            if type ==  "normal":
                return self.drumImageNormal
            elif type == "glowed":
                return self.drumImageGlowed
        elif type == "green":
                return self.drumImageGreen
        elif type == "red":
                return self.drumImageRed
        elif type == "disabled":
                return self.drumImageDisabled
            
        
        
        #VIOLIN IMAGES
        elif instrument == "violin":
            if type ==  "normal":
                return self.violinImageNormal
            elif type == "glowed":
                return self.violinImageGlowed
        elif type == "green":
                return self.violinImageGreen
        elif type == "red":
                return self.violinImageRed
        elif type == "disabled":
                return self.violinImageDisabled
            
        
        
        #PIANO IMAGES
        elif instrument == "piano":
            if type ==  "normal":
                return self.pianoImageNormal
            elif type == "glowed":
                return self.pianoImageGlowed
        elif type == "green":
                return self.pianoImageGreen
        elif type == "red":
                return self.pianoImageRed
        elif type == "disabled":
                return self.pianoImageDisabled
            
        
        
        #TRUMPET IMAGES
        elif instrument == "trumpet":
            if type ==  "normal":
                return self.trumpetImageNormal
            elif type == "glowed":
                return self.trumpetImageGlowed
        elif type == "green":
                return self.trumpetImageGreen
        elif type == "red":
                return self.trumpetImageRed
        elif type == "disabled":
                return self.trumpetImageDisabled



            

          
          
class PlaySound(object):
    def __init__(self):
        pygame.init()
        self.guitarSound = pygame.mixer.Sound("guitar_1sec.wav")
        self.drumSound = pygame.mixer.Sound("drum_1sec.wav")
        self.pianoSound = pygame.mixer.Sound("piano_1sec.wav")
        self.trumpetSound = pygame.mixer.Sound("trumpet_1sec.wav")
        self.violinSound = pygame.mixer.Sound("violin_1sec.wav")
    
    def playInstrument(self, instrument=None):
        if instrument == "guitar":
            self.playGuitar()
        elif instrument == "drum":
            self.playDrum()
        elif instrument == "piano":
            self.playPiano()
        elif instrument == "trumpet":
            self.playTrumpet()
        elif instrument == "violin":
            self.playViolin()
                    
    def playGuitar(self):
        self.guitarSound.play()
    def playDrum(self):
        self.drumSound.play()
    def playPiano(self):
        self.pianoSound.play()
    def playTrumpet(self):
        self.trumpetSound.play()
    def playViolin(self):
        self.violinSound.play()
      
